Bug 1822076 - upgrade fedora 31 to 32: nothing provides libX11-devel
Summary: upgrade fedora 31 to 32: nothing provides libX11-devel
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 31
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-08 08:05 UTC by lukes
Modified: 2020-04-15 12:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-15 12:43:35 UTC
Type: Bug


Attachments (Terms of Use)

Description lukes 2020-04-08 08:05:41 UTC
Fails to run 'dnf system-upgrade download --refresh --releasever=32'


Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(platform:f31) needed by module gimp:2.10:3120191106095052:f636be4b-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f31) needed by module meson:latest:3120191009081836:dc56099c-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f31) needed by module ninja:latest:3120190304180949:f636be4b-0.x86_64
Error: 
 Problem: package libglvnd-devel-1:1.3.1-1.fc32.x86_64 requires libX11-devel(x86-64), but none of the providers can be installed
  - problem with installed package libglvnd-devel-1:1.1.1-5.fc31.x86_64
  - package libX11-devel-1.6.9-3.fc32.x86_64 requires pkgconfig(xproto), but none of the providers can be installed
  - package libX11-devel-1.6.9-3.fc32.x86_64 requires pkgconfig(kbproto), but none of the providers can be installed
  - libglvnd-devel-1:1.1.1-5.fc31.x86_64 does not belong to a distupgrade repository
  - package xorg-x11-proto-devel-2019.1-3.fc32.noarch is filtered out by exclude filtering
(try to add '--skip-broken' to skip uninstallable packages)

Comment 1 Marek Blaha 2020-04-14 11:53:37 UTC
Please check that you do not have `xorg-x11-proto-devel` package excluded. There are actually several ways how to exclude package:
- version lock plugin - to check run `dnf versionlock list`
- excludepkgs directive in /etc/dnf/dnf.conf
- excludepkgs directive in repository configuration (/etd/yum.repos.d/*.repo)

To check excludes in the config files add `-v` switch to your command, e.g.:

$ dnf system-upgrade download --refresh --releasever=32 -v
------- 8< -------
a lot of noise
------- 8< -------
Excludes in dnf.conf: xorg-x11-proto-devel
Excludes in repo fedora: xorg-x11-proto-devel
--> Starting dependency resolution
--> Finished dependency resolution
------- 8< -------

Comment 2 lukes 2020-04-15 12:43:35 UTC
you were right! i have no idea how come it was excluded... thank you


Note You need to log in before you can comment on or make changes to this bug.